Halide 22.0.0 Halide compiler and libraries

Public Member Functions | List of all members
Halide::Internal::GeneratorFactoryProvider Class Referenceabstract

GeneratorFactoryProvider provides a way to customize the Generators that are visible to generate_filter_main (which otherwise would just look at the global registry of C++ Generators). More...

`#include <Generator.h>`

## Public Member Functions
| GeneratorFactoryProvider ()=default
virtual | ~GeneratorFactoryProvider ()=default
virtual std::vector< std::string > | enumerate () const =0
| Return a list of all registered Generators that are available for use with the create() method. More...
virtual AbstractGeneratorPtr | create (const std::string &name, const Halide::GeneratorContext &context) const =0
| Create an instance of the Generator that is registered under the given name. More...
| GeneratorFactoryProvider (const GeneratorFactoryProvider &)=delete
GeneratorFactoryProvider & | operator= (const GeneratorFactoryProvider &)=delete
| GeneratorFactoryProvider (GeneratorFactoryProvider &&)=delete
GeneratorFactoryProvider & | operator= (GeneratorFactoryProvider &&)=delete

## Detailed Description

GeneratorFactoryProvider provides a way to customize the Generators that are visible to generate_filter_main (which otherwise would just look at the global registry of C++ Generators).

Definition at line 330 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorFactoryProvider() [1/3]

Halide::Internal::GeneratorFactoryProvider::GeneratorFactoryProvider | ( |  | ) |
| default

## ◆ ~GeneratorFactoryProvider()

virtual Halide::Internal::GeneratorFactoryProvider::~GeneratorFactoryProvider | ( |  | ) |
| virtual default

## ◆ GeneratorFactoryProvider() [2/3]

Halide::Internal::GeneratorFactoryProvider::GeneratorFactoryProvider | ( | const GeneratorFactoryProvider & |  | ) |
| delete

## ◆ GeneratorFactoryProvider() [3/3]

Halide::Internal::GeneratorFactoryProvider::GeneratorFactoryProvider | ( | GeneratorFactoryProvider && |  | ) |
| delete

## Member Function Documentation

## ◆ enumerate()

virtual std::vector< std::string > Halide::Internal::GeneratorFactoryProvider::enumerate | ( |  | ) | const
| pure virtual

Return a list of all registered Generators that are available for use with the create() method.

## ◆ create()

virtual AbstractGeneratorPtr Halide::Internal::GeneratorFactoryProvider::create | ( | const std::string & | name,
|  | const Halide::GeneratorContext & | context
| ) |  | const
| pure virtual

Create an instance of the Generator that is registered under the given name.

If the name isn't one returned by enumerate(), return nullptr rather than assert-fail; caller must check for a valid result.

## ◆ operator=() [1/2]

GeneratorFactoryProvider & Halide::Internal::GeneratorFactoryProvider::operator= | ( | const GeneratorFactoryProvider & |  | ) |
| delete

## ◆ operator=() [2/2]

GeneratorFactoryProvider & Halide::Internal::GeneratorFactoryProvider::operator= | ( | GeneratorFactoryProvider && |  | ) |
| delete

The documentation for this class was generated from the following file:

- src/Generator.h